#ifndef DRAWWIDGET_H
#define DRAWWIDGET_H

#include <qcustomplot/qcustomplot.h>

#include <QStandardItemModel>

class QCPCurve;
class QCustomPlot;
class QStandardItemModel;

class DrawWidget : public QWidget
{
    Q_OBJECT

public:
    explicit DrawWidget(QWidget *parent = 0);
    ~DrawWidget();

    void setModel(QStandardItemModel *newModel);
    bool saveImage(QString filename);

public slots:
    void itemChanged(QStandardItem *item);
    void rowDeleted();

private:
    void generatePlotData();
    bool saveParameters(QString filename);

    QCPCurve *graph; /*!< Holds data points for the rosette plot. */
    QCustomPlot *customPlot; /*!< Displays the rosette plot. */
    QStandardItemModel *model; /*!< The model containing rosette desccription parameters. */

    QVector<double> xdata; /*!< List of x-coordinates for the rosette plot. */
    QVector<double> ydata; /*!< List of y-coordinates for the rosette plot. */
    QVector<double> zdata; /*!< List of time-coordinates for the rosette plot. */
};

#endif // DRAWWIDGET_H
