#ifndef FOURIERANALYSIS_H
#define FOURIERANALYSIS_H

#include <QPointF>
#include <QVector>
#include <QStandardItemModel>

#include "opencv/cv.h"

class QPointF;

class FourierAnalysis
{

public:
    static QStandardItemModel* analyze(QVector<QPointF> *trace);
private:
    static cv::Mat adjustSamplePoints(QVector<QPointF> *normalizedSamples);
    static void meanAdjust(QVector<QPointF> *samples);
    static QStandardItemModel* fourier(cv::Mat samples);
    static QStandardItemModel* buildModel(cv::Mat values, QVector<int> indexes);
    static int findQuadrant(float angle);
    static QVector<int> adjustValues(QVector<int> indexes, cv::Mat angles);

};

#endif // FOURIERANALYSIS_H
