#include "helpdialogwidget.h"

#include <QTabWidget>
#include <QTextBrowser>
#include <QUrl>
#include <QVBoxLayout>

/*! \class HelpDialogWidget
 * \brief The HelpDialogWidget class displays a dialog which containts a user guide for this tool,
 * some rosette theory, and author and licence information.
  */

/*!
 * \brief Constructs HelpDialogWidget.
 * \param parent The parent widget.
 */
HelpDialogWidget::HelpDialogWidget(QWidget *parent) : QDialog(parent)
{
    this->setWindowTitle("Help and about");
    QTabWidget *tabs = new QTabWidget(this);
    tabs->setTabPosition(QTabWidget::West);
    tabs->setDocumentMode(true);
    tabs->setMinimumWidth(600);
    tabs->setMinimumHeight(500);

    QTextBrowser *usage = new QTextBrowser();
    usage->setSource(QUrl("qrc:/help/usage.html"));

    QTextBrowser *rosettes = new QTextBrowser();
    rosettes->setSource(QUrl("qrc:/help/documentation.html"));

    QTextBrowser *about = new QTextBrowser();
    about->setSource(QUrl("qrc:/help/about.html"));
    about->setOpenExternalLinks(true);

    tabs->addTab(usage, "&Usage");
    tabs->addTab(rosettes, "&Rosette theory");
    tabs->addTab(about, "&About");

    QVBoxLayout *layout = new QVBoxLayout(this);
    layout->addWidget(tabs);
    this->setLayout(layout);
}
