#ifndef PROCESSWIDGET_H
#define PROCESSWIDGET_H

#include "cvimagewidget.h"

#include <QStandardItemModel>

class ProcessWidget : public QWidget
{
    Q_OBJECT
public:
    explicit ProcessWidget(QWidget *parent = 0);
    ~ProcessWidget();

    bool saveTrace(QString filepath);
    bool openImage(const QString &filepath);

private:
    bool manualTraceActive;
    cv::Mat img;
    cv::Mat traceImg;
    CVImageWidget *imwidget;

    QVector<QPoint> trace;

    cv::Point convertPoint(QPoint old);
    void drawLine(cv::Point start, cv::Point end);

    void keyPressEvent(QKeyEvent *ev);
    void mousePressEvent(QMouseEvent *ev);
    QVector<QPointF>* normalize(QVector<QPoint> *samples);

signals:
    void manualTraceInProgress(QString text);
    void traceDone(QStandardItemModel *traceModel);

public slots:
    void manualTrace();
};

#endif // PROCESSWIDGET_H
