#ifndef VARIABLEADJUSTWIDGET_H
#define VARIABLEADJUSTWIDGET_H

#include <delegate.h>

#include <QDataWidgetMapper>
#include <QPushButton>
#include <QStandardItemModel>
#include <QTableView>

class VariableEditDelegate;
class QDataWidgetMapper;
class QPushButton;
class QStandardItemModel;
class QTableView;

class VariableAdjustWidget : public QWidget
{
    Q_OBJECT

public:
    explicit VariableAdjustWidget(QWidget *parent = 0);
    ~VariableAdjustWidget();
    void setModel(QStandardItemModel *model);

signals:
    void rowDeleted();

private slots:
    void addRow();
    void deleteRow();

private:
    VariableEditDelegate *viewDelegate; /*!< Provides an interface between \a parametersTableview and the model. */

    QDataWidgetMapper *mapper; /*!< Maps model values to strings. */
    QPushButton *addRowButton; /*!< Adds a row to \a paramteresTableView and the model. */
    QPushButton *deleteRowButton; /*!< Deleted a row from \a paramtersTableView and the model. */
    QTableView *parametersTableView; /*!< Displays the model parameters as a editable table. */

};

#endif // VARIABLEADJUSTWIDGET_H
